Rockbox

Tasklist

FS#8650 - Rbutil installs version 1 instead 2 of bootloader on iaudio m5.

Attached to Project: Rockbox
Opened by Mateusz Kubica (siwy) - Tuesday, 26 February 2008, 18:38 GMT
Last edited by Paul Louden (Llorean) - Tuesday, 26 February 2008, 20:38 GMT
Task Type Bugs
Category Rbutil
Status Closed
Assigned To No-one
Operating System Another
Severity Low
Priority Normal
Reported Version Daily build (which?)
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Rbutil installs version 1 instead 2 of bootloader on iaudio m5.

PS there is no 'iaudio m5' option to choose in 'Player type' menu so I had to choose 'Another'.
This task depends upon

Closed by  Paul Louden (Llorean)
Tuesday, 26 February 2008, 20:38 GMT
Reason for closing:  Not a Bug
Comment by Paul Louden (Llorean) - Tuesday, 26 February 2008, 19:52 GMT
What "Player Type" menu? There is a "Device" menu. What version of the utility are you using?
Comment by Mateusz Kubica (siwy) - Tuesday, 26 February 2008, 20:11 GMT
This is the bug I reported: 'Rbutil installs version 1 instead 2 of bootloader on iaudio m5.'

Now, look at the attached image. I explained that I had to choose 'Another' in 'Player type' when reporting the bug because there were no option such as 'iaudio m5' which would be more suitable. And I propose to add that option.
Comment by Paul Louden (Llorean) - Tuesday, 26 February 2008, 20:14 GMT
The bug you reported was about RBUtil, so I had to assume you meant "Player Type" in RButil, since you did not say "Flyspray does not have an iAudio M5 option." Now, 1) This is a bug with RBUtil, not the iAudio M5. 2) Do not report unrelated issues on one task. 3) Answer the question I had about your bug (which version of RBUtil are you using?).

RButil should be downloading the file here: http://download.rockbox.org/bootloader/iaudio/
Comment by Mateusz Kubica (siwy) - Tuesday, 26 February 2008, 20:29 GMT
1) I know that therefore put it in category RBUtil on flyspray
2) I'm really sorry for that mess. I won't do such a mistake in the future, I hope.
3) Here I'm a little confused because I use svn version which is now 16429, but when I run menu About in RBUtil I see 'Version SVN $Revision 16357 $ (m1.0.4)'
Comment by Mateusz Kubica (siwy) - Tuesday, 26 February 2008, 20:36 GMT
The file you have given is vesion 1 of bootloader, I've just tested it. Look at http://www.rockbox.org/twiki/bin/view/Main/IaudioBoot and at the bottom of the page there is version 2.
Comment by Paul Louden (Llorean) - Tuesday, 26 February 2008, 20:38 GMT
Then this is not a bug. RButil is supposed to provide the supported version (the one from download.rockbox.org). The problem is simply that the newer version isn't yet the "official" version.

Loading...